grapheme_strrpos
grapheme_substr
intl Functions
PHP Manual

# grapheme_strstr

(No version information available, might be only in CVS)

grapheme_strstr — Returns part of haystack string from the first occurrence of needle to the end of haystack.

### Description

Procedural style

string grapheme_strstr ( string `$haystack` , string `$needle` [, boolean `$before_needle` ] )

Returns part of haystack string from the first occurrence of needle to the end of haystack.

### Parameters

`haystack`

  The input string. Must be valid UTF-8.

`needle`

  The string to look for. Must be valid UTF-8.

`before_needle`

  If TRUE (the default is FALSE), grapheme_strstr() returns the part of the haystack before the first occurence of the needle.

### Return Values

Returns the portion of string, or FALSE if needle is not found.

### Examples

Example #1 grapheme_strstr() example

`< ?php
$char_a_ring_nfd = "a\xCC\x8A"; // 'LATIN SMALL LETTER A WITH RING ABOVE' (U+00E5) normalization form "D"
$char_o_diaeresis_nfd = "o\xCC\x88"; // 'LATIN SMALL LETTER O WITH DIAERESIS' (U+00F6) normalization form "D"
print urlencode(grapheme_stristr( $char_a_ring_nfd . $char_o_diaeresis_nfd . $char_a_ring_nfd, $char_o_diaeresis_nfd));
?>`

The above example will output:

    o%CC%88a%CC%8A

### See Also

- grapheme_stristr()
- grapheme_stripos()
- grapheme_strpos()
- grapheme_strripos()
- grapheme_strrpos()
- » Unicode Text Segmentation: Grapheme Cluster Boundaries

grapheme_strrpos
grapheme_substr
intl Functions
PHP Manual